# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "rbw"
version = "1.11.1"
authors = ["Jesse Luehrs <doy@tozt.net>"]
include = [
    "src/**/*",
    "bin/**/*",
    "LICENSE",
    "README.md",
    "CHANGELOG.md",
]
description = "Unofficial Bitwarden CLI"
readme = "README.md"
keywords = ["bitwarden"]
categories = [
    "command-line-utilities",
    "cryptography",
]
license = "MIT"
repository = "https://git.tozt.net/rbw"

[package.metadata.deb]
assets = [
    [
    "target/release/rbw",
    "usr/bin/",
    "755",
],
    [
    "target/release/rbw-agent",
    "usr/bin/",
    "755",
],
    [
    "target/release/completion/bash",
    "usr/share/bash-completion/completions/rbw",
    "644",
],
    [
    "target/release/completion/zsh",
    "usr/share/zsh/vendor-completions/_rbw",
    "644",
],
    [
    "target/release/completion/fish",
    "usr/share/fish/completions/rbw.fish",
    "644",
],
    [
    "README.md",
    "usr/share/doc/rbw/README",
    "644",
],
]
depends = "pinentry"
license-file = ["LICENSE"]

[dependencies.aes]
version = "0.8.4"

[dependencies.anyhow]
version = "1.0.86"

[dependencies.argon2]
version = "0.5.3"

[dependencies.arrayvec]
version = "0.7.4"

[dependencies.async-trait]
version = "0.1.80"

[dependencies.axum]
version = "0.7.5"

[dependencies.base32]
version = "0.5.0"

[dependencies.base64]
version = "0.22.1"

[dependencies.block-padding]
version = "0.3.3"

[dependencies.cbc]
version = "0.1.2"
features = [
    "alloc",
    "std",
]

[dependencies.clap]
version = "4.5.7"
features = [
    "wrap_help",
    "derive",
]

[dependencies.clap_complete]
version = "4.5.6"

[dependencies.copypasta]
version = "0.10.1"

[dependencies.daemonize]
version = "0.5.0"

[dependencies.directories]
version = "=5.0.0"

[dependencies.env_logger]
version = "0.11.3"

[dependencies.futures]
version = "0.3.30"

[dependencies.futures-channel]
version = "0.3.30"

[dependencies.futures-util]
version = "0.3.30"

[dependencies.hkdf]
version = "0.12.4"

[dependencies.hmac]
version = "0.12.1"
features = ["std"]

[dependencies.humantime]
version = "2.1.0"

[dependencies.is-terminal]
version = "0.4.12"

[dependencies.libc]
version = "0.2.155"

[dependencies.log]
version = "0.4.21"

[dependencies.open]
version = "5.1.4"

[dependencies.pbkdf2]
version = "0.12.2"

[dependencies.percent-encoding]
version = "2.3.1"

[dependencies.pkcs8]
version = "0.10.2"

[dependencies.rand]
version = "0.8.5"

[dependencies.regex]
version = "1.10.5"

[dependencies.region]
version = "3.0.2"

[dependencies.reqwest]
version = "0.12.5"
features = [
    "blocking",
    "json",
    "rustls-tls-native-roots",
]
default-features = false

[dependencies.rmpv]
version = "1.3.0"

[dependencies.rsa]
version = "0.9.6"

[dependencies.rustix]
version = "0.38.34"
features = [
    "termios",
    "procfs",
    "process",
    "pipe",
]

[dependencies.serde]
version = "1.0.203"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.118"

[dependencies.serde_path_to_error]
version = "0.1.16"

[dependencies.serde_repr]
version = "0.1.19"

[dependencies.sha1]
version = "0.10.6"

[dependencies.sha2]
version = "0.10.8"

[dependencies.tempfile]
version = "3.10.1"

[dependencies.terminal_size]
version = "0.3.0"

[dependencies.textwrap]
version = "0.16.1"

[dependencies.thiserror]
version = "1.0.61"

[dependencies.tokio]
version = "1.38.0"
features = ["full"]

[dependencies.tokio-stream]
version = "0.1.15"
features = ["net"]

[dependencies.tokio-tungstenite]
version = "0.23"
features = [
    "rustls-tls-native-roots",
    "url",
]

[dependencies.totp-lite]
version = "2.0.1"

[dependencies.url]
version = "2.5.2"

[dependencies.urlencoding]
version = "2.1.3"

[dependencies.uuid]
version = "1.9.1"
features = ["v4"]

[dependencies.zeroize]
version = "1.8.1"
